# openal_listener_set

(PECL openal >= 0.1.0)

openal_listener_set — Set a listener property

### 说明

openal_listener_set(int `$property`, mixed `$setting`): bool

### 参数

`property`

  Property to set, one of: `AL_GAIN` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float))和 `AL_ORIENTATION` (array(float,float,float)).

`setting`

  Value to set, either float, or an array of floats as appropriate.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

### 参见

- openal_listener_get() - Retrieve a listener property

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open